package me.wazup.hideandseek.commands.admin;

import org.bukkit.entity.Player;
import org.bukkit.ChatColor;
import me.wazup.hideandseek.PlayerData;
import org.bukkit.Bukkit;
import me.wazup.hideandseek.utils.Utils;
import org.bukkit.command.CommandSender;
import me.wazup.hideandseek.Customization;
import me.wazup.hideandseek.HideAndSeek;
import me.wazup.hideandseek.commands.SubCommand;

public class SetModifierCommand extends SubCommand
{
    public SetModifierCommand() {
        super("hideandseek.setmodifier", true, "<Player> <Modifier>");
    }
    
    public boolean execute(final HideAndSeek hideAndSeek, final Customization customization, final CommandSender commandSender, final String[] array) {
        if (array.length < 3 || !Utils.isNumber(array[2])) {
            return false;
        }
        final Player player = Bukkit.getPlayer(array[1]);
        if (player == null) {
            commandSender.sendMessage((String)customization.messages.get("no_player_found"));
            return true;
        }
        final PlayerData playerData = hideAndSeek.playerData.get(player.getName());
        playerData.modifier = Integer.parseInt(array[2]);
        playerData.played = true;
        player.sendMessage((String)customization.messages.get("modifier_changed"));
        commandSender.sendMessage(customization.prefix + "You have sucessfully changed " + ChatColor.YELLOW + player.getName() + ChatColor.GOLD + " coins/exp modifier!");
        return true;
    }
}
